Download it now!
Bug 77307 - function ERFC() gets overwritten with ERF() when ERF() is used in cell above
Summary: function ERFC() gets overwritten with ERF() when ERF() is used in cell above
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-04-11 07:42 UTC by Winfried Donkers (retired)
Modified: 2014-04-13 15:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers (retired) 2014-04-11 07:42:31 UTC
Steps to reproduce:
-open calc document
-enter ERF(0.7) in any cell (except bottom row)
-enter ERFC(0.7) in cell below the one mentioned above
-expected result: ERFC(0.7),
 actual result ERF(0.7)

Problem also occurs on master; but does not occur on 4.1.5 (openSUSE).
O/S Linux as well as Windows.
Comment 1 Winfried Donkers (retired) 2014-04-11 07:44:11 UTC
@Eike: any clues?
Comment 2 Winfried Donkers (retired) 2014-04-11 10:23:42 UTC
On Windows machines:
version 4.1.5 is OK,
version 4.2.2 is not.
Comment 3 Kohei Yoshida 2014-04-11 14:32:23 UTC
Isn't this a bug for 4.2?  Right now it's specified to be a 4.1 bug.
Comment 4 Kohei Yoshida 2014-04-11 14:47:07 UTC
I'll change the version to 4.2.x.
Comment 5 Winfried Donkers (retired) 2014-04-11 17:27:53 UTC
(In reply to comment #3)
> Isn't this a bug for 4.2?  Right now it's specified to be a 4.1 bug.

Yes, it is. I must have messed up when I wanted to change from 4.2.3.3 to 4.2.2.3.
Thank you for amending.
Comment 6 Kohei Yoshida 2014-04-12 01:37:50 UTC
I'll take this.
Comment 7 Commit Notification 2014-04-12 01:41:20 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9cc0daec26016722bf5260e4e2634e6dcfe25a2

fdo#77307: Compare external formula tokens correctly.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Kohei Yoshida 2014-04-12 01:43:00 UTC
4.2 backport: https://gerrit.libreoffice.org/8942
Comment 9 Kohei Yoshida 2014-04-12 01:46:28 UTC
I tried to write unit test for this (as I normally do), but there are some quirks with add-in functions I couldn't really get to the bottom of, so this time there is not test for this I'm afraid...
Comment 10 Winfried Donkers (retired) 2014-04-12 17:54:03 UTC
(In reply to comment #9)
> I tried to write unit test for this (as I normally do), but there are some
> quirks with add-in functions I couldn't really get to the bottom of, so this
> time there is not test for this I'm afraid...

I quite understand what you mean by quirks with add-in functions :-)
Thank you for your fast fix!
Comment 11 Commit Notification 2014-04-13 08:32:32 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c60c7d09e4d65b57ba448cf3de68391a51dcc1b5&h=libreoffice-4-2

fdo#77307: Compare external formula tokens correctly.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.